# shield core 1~3 to avoid using other processes. 
shield -a 1-3

# gpio IRQ 5 affinity to core 3
echo 8> /proc/irq/5/smp_affinity

# Channel 0 IRQ 88 affinity to core 2
echo 4> /proc/irq/94/smp_affinity

# chksum-sene execution in core 1
run -b 1 -s fifo -P 99 ./chksum-recv 0 4096

# chkseum-recv execution in core 2
run -b 2 -s fifo -P 99 ./chksum-send 0 4096

watch -d -n 1 "cat /proc/interrupts | grep -E 'sc_|gpio'"

